{ lib, pkgs, ... }:
let
  kernel = pkgs.linuxPackages_latest;
in
{
  # Configure bootloader with lanzaboot and secureboot
  boot = {
    kernelModules = [ "nct6775" ];
    loader = {
      systemd-boot.enable = true;
      efi = {
        canTouchEfiVariables = true;
        efiSysMountPoint = "/boot";
      };
    };

    initrd = {
      verbose = false;
      systemd.enable = true;
    };

    plymouth = {
      enable = true;
    };

    kernelPackages = kernel;

    kernelParams = [
      "quiet"
      "splash"
    ];

    consoleLogLevel = 3;
    bootspec.enable = true;
  };

  environment.systemPackages = with pkgs; [ 
    edk2-uefi-shell
   ];
}
